package com.pj.project.sys_dict;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * Model: sys_dict -- 字典表
 * @author qzyReal 
 */
@Data
@Accessors(chain = true)
@TableName(SysDict.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class SysDict extends Model<SysDict> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "sys_dict";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "sys-dict";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */

	private String id;

	/**
	 * 字典名称 
	 */
	private String name;

	/**
	 * 编号 
	 */
	private String code;

	/**
	 * 描述 
	 */
	private String des;





	


}
