package com.pj.project.tb_unit;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * Model: tb_unit -- 车辆规格
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbUnit.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbUnit extends Model<TbUnit> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_unit";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-unit";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	private String id;

	/**
	 * 规格（米） 
	 */
	private String unit;	





	


}
