package com.pj.project.relation_type_item;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: relation_type_item -- 
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(RelationTypeItem.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class RelationTypeItem extends Model<RelationTypeItem> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "relation_type_item";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "relation-type-item";	


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	private String id;

	/**
	 * 类型ID 
	 */
	private String typeId;
	private String typeName;

	/**
	 * 是否必须 
	 */
	private int need;

	private int needRemark;

	private int mustRemark;
	private int inc;

	/**
	 * 明细ID 
	 */
	private String itemId;






	


}
