package com.pj.project.tb_business_car;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

@Data
@EqualsAndHashCode
public class ExportTbBusinessDTO {
    @ExcelProperty("车牌号")
    private String carNo;

    @ExcelProperty("车牌颜色")
    private String color;

    @ExcelProperty("车辆规格")
    private String size;

    @ExcelProperty("入场时间")
    private Date realInTime;

    @ExcelProperty("入场通道")
    private String inChannel;

    @ExcelProperty("离场时间")
    private Date realOutTime;
    @ExcelProperty("离场通道")
    private String outChannel;

    @ExcelProperty("停车费")
    private BigDecimal money;

    @ExcelProperty("支付状态")
    private String payType;

    @ExcelProperty("支付时间")
    private Date payTime;
}
