package com.pj.project.tb_business_item;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * Created with IntelliJ IDEA.
 * @Auther: lzm*/

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@HeadRowHeight(30)
@ContentRowHeight(30)
public class ExportItemsDTO {

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","单号"},index = 0)
    private String no;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","货物"},index = 1)
    private String goodsName;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","越南车"},index = 2)
    private String cardNo;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","中国车"},index = 3)
    private String chinaCarNo;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","作业公司"},index = 4)
    private String pickCustomerName;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","项目"},index = 5)
    private String itemName;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","类型"},index = 6)
    private String itemTypeName;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","计费标准"},index = 7)
    private String unit;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","创建时间"},index = 8)
    private String createTime;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","接单时间"},index = 9)
    private String pickTime;

    @ColumnWidth(15)
    @ExcelProperty(value = {"作业订单","确认时间"},index = 10)
    private String confirmTime;

}
