package com.pj.project.tb_business_sort;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_business_order -- 业务顺序
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbBusinessSort.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbBusinessSort extends Model<TbBusinessSort> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_business_sort";
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb_business_sort";


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 *  
	 */
	private String name;	

	/**
	 *  
	 */
	private String typeId;

	private String typeName;

	/**
	 *  
	 */
	private Integer sort=1;
	private Integer intervalTime=30;
	private Integer singleIntervalTime=24;
	private Long groupId;





	


}
