package com.pj.api.bo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 出入记录
 */
@Data
@Accessors(chain = true)
public class InOutRecordBO {

    private String businessId;

    /**
     * 客户名称
     */
    private String customerName;

    private String customerContact;

    private String dutyPeople;

    /**
     * 车牌号
     */
    private String cardNo;

    /**
     * 车牌国籍
     */
    private String carCountryName;

    /**
     * 实际进境时间
     */
    private Date inTime;

    /**
     * 离境时间
     */
    private Date outTime;

    /**
     * 状态(1=未入场, 2=已入场, 3=已出场)
     */
    private int status;

}
