package com.pj.project.tb_account;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pj.utils.so.SoMap;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper: tb_account -- 客户账户
 * @author qzy 
 */

@Mapper
@Repository
public interface TbAccountMapper extends BaseMapper <TbAccount> {


	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbAccount> getList(SoMap so);


}
