package com.pj.project.tb_business;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pj.utils.so.SoMap;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper: tb_business -- 入境登记
 * @author qzy 
 */

@Mapper
@Repository
public interface TbBusinessMapper extends BaseMapper <TbBusiness> {

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbBusiness> getList(SoMap so);


}
