package com.pj.current.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Auther: lzm
 * @Date: 2022/04/21/9:37
 */
@ConfigurationProperties(prefix = "jh-config")
@Component
@Data
public class JhConfig {


    private String productType;
    private String businessMerchantNo;
    private String merchantNo;
    private String tradeType;
    private String paySecret;
    private String serverUrl;
    private boolean enable;

}
