package com.pj.current.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@ConfigurationProperties(prefix = "wx-config")
@Component
@Data
public class WxConfig {
    private String title;
    private String appId;
    private String machId;
    private String key;
    private long flushSecond;
    private String token;
    private String secret;
    private String accessTokenKey;
    private String jsApiTicketKey;
    private String  accessTokenUrl;
    private String   authLoginUrl;
    private String jsApiTokenUrl;
    private String openidUrl;
    private String sendMsgUrl;
    /**
     * {{first.DATA}}
     * 作业类型：{{keyword1.DATA}}
     * 作业名称：{{keyword2.DATA}}
     * 所属项目：{{keyword3.DATA}}
     * 提交日期：{{keyword4.DATA}}
     * {{remark.DATA}}
     */
    private String businessNoticeTemplate;
    /**
     * {{first.DATA}}
     * 接单人：{{keyword1.DATA}}
     * 接单时间：{{keyword2.DATA}}
     * {{remark.DATA}}
     */
    private String businessPickTemplate;
    /**
     * {{first.DATA}}
     * 确认人：{{keyword1.DATA}}
     * 时间：{{keyword2.DATA}}
     * {{remark.DATA}}
     */
    private String businessConfirmTemplate;
}
