package com.pj.project.relation_business_car;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: relation_business_car -- 
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(RelationBusinessCar.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class RelationBusinessCar extends Model<RelationBusinessCar> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "relation_business_car";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "relation-business-car";	


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	private String id;

	/**
	 *  
	 */
	private String businessId;	

	/**
	 *  
	 */
	private String businessCarId;	





	


}
