package com.pj.project.relation_goods_type;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: relation_goods_type -- 业务类型与作业项
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(RelationGoodsType.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class RelationGoodsType extends Model<RelationGoodsType> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "relation_goods_type";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "relation-goods-type";	


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 *  
	 */
	private String goodsId;

	/**
	 * 作业类型 
	 */
	private String goodsName;	

	/**
	 *  
	 */
	private String typeId;

	/**
	 * 类型名称 
	 */
	private String typeName;

	/**
	 * 是否必选(1=是,0=否)
	 */
	private Integer needSelect;




	


}
