package com.pj.project.relation_goods_type;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: relation_goods_type -- 业务类型与作业项
 * @author qzy 
 */

@Mapper
@Repository
public interface RelationGoodsTypeMapper extends BaseMapper <RelationGoodsType> {

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<RelationGoodsType> getList(SoMap so);


}
