package com.pj.project.tb_business_people;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_business_people -- 核酸检测人员
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbBusinessPeople.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbBusinessPeople extends Model<TbBusinessPeople> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_business_people";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-business-people";	


	// ---------- 表中字段 ----------
	/**
	 *  
	 */
	private String id;

	/**
	 *  
	 */
	private String name;	

	/**
	 *  
	 */
	private String phone;	

	/**
	 *  
	 */
	private String businessId;

	/**
	 *  
	 */
	private Date createTime;





	


}
