package com.pj.project.tb_business_sort;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_business_order -- 业务顺序
 * @author qzy 
 */

@Mapper
@Repository
public interface TbBusinessSortMapper extends BaseMapper <TbBusinessSort> {


	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbBusinessSort> getList(SoMap so);


}
