package com.pj.project.tb_car_no_color;

import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_car_no_color -- 车牌颜色
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbCarNoColor.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbCarNoColor extends Model<TbCarNoColor> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_car_no_color";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-car-no-color";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 颜色 
	 */
	private String carNoColor;	

	/**
	 * 状态(0=禁用;1=启用) 
	 */
	private String status;	





	


}
